# @(#) Makefile
# @(#) Mynor Ramirez 
# @(#) Mantenimiento de subcategorias 

# Programas 
NAME     = subcategorias.4ge 
OBJFILES = glbglo016.4gl glbmae016.4gl glbqbe016.4gl
FRMFILES = glbmae016a.per 
LIBFILES = ../../lib/libgrales.42x 

# Compilando y linkeando programas 
all:
	@make -f ../../cmd/prog4js NAME="$(NAME)" \
        LIBFILES="$(LIBFILES)" OBJFILES="$(OBJFILES)" \
        FRMFILES="$(FRMFILES)" $(NAME)
	cp *42m *42f *42r ../bin 

# Compilando formas
form:
	@make -f ../../cmd/prog4js $(FRMFILES) 

# Limpiando archivos de compilacion
clean: 
	@make -f ../../cmd/prog4js clean 
